customer-requests
Institute Requests
An Institflow account requesting a new institute through the customer portal, and the platform owner's console review queue (approve/refuse). Cloud/control-plane only: answers 404 on a self-hosted install.
2 נקודות קצה
POST /api/v1/portal/requests
Request a new institute. One pending request per account at a time (409 otherwise). Mails every platform owner.
גוף הבקשה
| שם | סוג | מגבלות |
|---|---|---|
instituteNameחובה | string | 1–200 chars |
slugחובה | string | 3–42 chars |
countryחובה | string | — |
sizeBandחובה | enum: "small" | "medium" | "large" | "xlarge" | — |
phone | string | — |
termsVersionחובה | enum: "2026-09-23" | — |
דוגמה
{
"instituteName": "string",
"slug": "string",
"country": "string",
"sizeBand": "small",
"phone": "+15551234567",
"termsVersion": "2026-09-23"
}דוגמה עם curl
curl -X POST "https://your-institute.example/api/v1/portal/requests" \
-H "Authorization: Bearer $INSTITFLOW_API_KEY" \
-H "Content-Type: application/json" \
-H "Idempotency-Key: $(uuidgen)" \
-d '{
"instituteName": "string",
"slug": "string",
"country": "string",
"sizeBand": "small",
"phone": "+15551234567",
"termsVersion": "2026-09-23"
}'תשובות
| שם | סוג | מגבלות |
|---|---|---|
idחובה | string (uuid) | — |
instituteNameחובה | string | — |
slugחובה | string | — |
countryחובה | string | — |
sizeBandחובה | enum: "small" | "medium" | "large" | "xlarge" | — |
phoneחובה | string | null | — |
statusחובה | enum: "pending" | "approved" | "refused" | — |
refusalReasonחובה | string | null | — |
tenantIdחובה | string (uuid) | null | — |
createdAtחובה | string (date-time) | — |
updatedAtחובה | string (date-time) | — |
{
"id": "37386ae0-3738-7738-8386-37386ae03738",
"instituteName": "string",
"slug": "string",
"country": "string",
"sizeBand": "small",
"phone": "+15551234567",
"status": "pending",
"refusalReason": "string",
"tenantId": "4332af8b-4332-7332-832a-4332af8b4332",
"createdAt": "2026-03-02T09:00:00.000Z",
"updatedAt": "2026-03-02T09:00:00.000Z"
}מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
GET /api/v1/portal/requests/mine
This account’s own institute requests, newest first.
דוגמה עם curl
curl -X GET "https://your-institute.example/api/v1/portal/requests/mine" \
-H "Authorization: Bearer $INSTITFLOW_API_KEY"תשובות
[
{
"id": "37386ae0-3738-7738-8386-37386ae03738",
"instituteName": "string",
"slug": "string",
"country": "string",
"sizeBand": "small",
"phone": "+15551234567",
"status": "pending",
"refusalReason": "string",
"tenantId": "4332af8b-4332-7332-832a-4332af8b4332",
"createdAt": "2026-03-02T09:00:00.000Z",
"updatedAt": "2026-03-02T09:00:00.000Z"
}
]מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.